/**
 * Style Overrides for CLUB Landingpages
 */

@import url('fonts.googleapis.com/css?family=Open+Sans:400,700,400italic,700italic|Montserrat:400,700,400italic,700italic');

/*
  #e72114 : Forum Red
  #f9f9f9 : Forum Light Gray BG
	#1A467E : Forum Blue
  #b2c7e1 : inofficial Forum Light Blue
*/

body{
    /*--color-font: #222;*/
    --lp-color-bg: #f9f9f9;
    --lp-color-primary: #1A467E;
    --lp-color-accent: #e72114;
    --lp-color-accent-secondary: #f17d75;
    --lp-color-backgrounds-dark: #eee;
    --lp-color-backgrounds-darker: #1A467E;

    --lp-color-button: #e72114;
    --lp-color-button-secondary: #f17d75;
}

body,
.has-background > *::after,
.page-template-default .site-logo .logo-wrapper:after {
		background-color: var(--lp-color-bg);
}

::selection{
		background-color: var(--lp-color-primary); /* var(--lp-color-primary) */
    color: white;
}

.menu-item a,
h1, h2, h3, h4, h5, h6,
button, .button, .button p, .elementor-button, .cta{
    font-family: 'Montserrat', 'Verdana', Sans-serif!important;
}

.elementor-element.highlight-text .elementor-heading-title,
.elementor-element.highlight-text .elementor-headline-text-wrapper,
.elementor-price-table__price {
    font-weight: 600!important;
}

.site-header{
		padding-top: var(--global--spacing-baseline);
}
.entry-title-sub{
    font-weight: 400;
}


/*** Logo ***/

.site-logo .logo-wrapper::before{
		display: none;
}
.site-logo, .site-logo .logo-wrapper{
		height: 6rem!important;
		max-height: 6rem!important; }
.site-header, body:not(.primary-navigation-open) .site-header .primary-menu-container .menu-wrapper > li{
		line-height: 6rem; }
.site-footer .site-branding{
    height: 5rem;
}
@media screen and (max-width: 651px) {
		.site-logo, .site-logo .logo-wrapper{
				height: 5rem!important;
				max-height: 5rem!important; }
		.site-header, body:not(.primary-navigation-open) .site-header .primary-menu-container .menu-wrapper > li{
				line-height: 5rem;
		}
}

/*** Menue ***/

#primary-mobile-menu{
    color: white!important;
}
/*body:not(.primary-navigation-open)*/ .primary-navigation .menu-wrapper > li > a:first-child{
    color: white;
    opacity: 1; }
.primary-navigation .menu-wrapper > li > a:first-child:hover{
    opacity: .8; }
.primary-navigation .current-menu-item > a:first-child,
.primary-navigation .current_page_item > a:first-child{
    color: #e72114!important;
    opacity: 1!important;
}

/* Menue Mobile */

/*body.primary-navigation-open .primary-menu-container{
    background-color: black!important;
}*/

/*** Header ***/

.landingpage-classic .entry-content{
    margin-top: var(--spacing-elementor-short)!important;
}

.landingpage .entry-title,
.landingpage .entry-subtitle{
    line-height: 1;
}

/*
main > .page-header::after,
main > section > .page-header::after,
main > article > .entry-header::after {
    background-color: black;
}
*/

.landingpage .site-header .site-title > span,
.landingpage .entry-header .entry-title > span,
.landingpage .entry-header-nobg .entry-title > span {
		background-color: var(--lp-color-bg); /*var(--lp-color-backgrounds-darker);*/
    padding: 0 5px;
    box-decoration-break: clone;
    -webkit-box-decoration-break: clone; }
.landingpage .site-header .site-title > span > span,
.landingpage .entry-header .entry-title > span > span,
.landingpage .entry-header-nobg .entry-title > span > span,
.landingpage .entry-header .entry-subtitle > span > span,
.landingpage .entry-header-nobg .entry-subtitle > span > span {
    position: relative;
}

/* body.singular.lookandfeel-club{} */
body.singular.lookandfeel-club .site-header,
body.singular.lookandfeel-club .site-header::after,
body.singular.lookandfeel-club .page-header::after,
body.singular.lookandfeel-club .entry-header::after {
		background-color: black!important;
    /*background-color: transparent!important;*/
}
body.singular.lookandfeel-club.home .site-header,
body.singular.lookandfeel-club.home .page-header,
body.singular.lookandfeel-club.home .entry-header,
body.singular.lookandfeel-club.page-template-page-classic .site-header,
body.singular.lookandfeel-club.page-template-page-classic .page-header,
body.singular.lookandfeel-club.page-template-page-classic .entry-header {
    color: white!important;
}
body:not(.home):not(.page-template-page-classic) .site-header,
body:not(.home):not(.page-template-page-classic) .site-header::after,
body:not(.home):not(.page-template-page-classic) .page-header::after,
body:not(.home):not(.page-template-page-classic) .entry-header::after{
		background-color: transparent!important;
}


/* LandingPages */
/****************/

/*.landingpage header .grid-item.item-text .entry-title{
    text-shadow: 0px 0px 32px rgba(255,255,255, .75);
}*/


/* Elementor */
/*************/

/*** Balken ***/

.elementor-element.bg,
.landingpage-classic .elementor > .elementor-element:nth-child(2),
.landingpage-classic .elementor-element-edit-mode[data-nesting-level="0"]:nth-child(2) {
		color: black!important;
}

/*.elementor-element.bg-dark{
    color: white!important;
}*/

/*** Form ***/

.elementor-element.bg-form{
    color: black!important; }
.elementor-element.bg-form::after{
    background-color: var(--lp-color-backgrounds-darker)!important;
}

/*** Frames ***/

.bg-frame.elementor-element > .elementor-widget-container,
.bg-frame.elementor-widget-n-accordion > .elementor-widget-container{
    background-color: var(--lp-color-backgrounds-darker);
}

/* Colors */
body{
    --lp-color-frame-dark: #2d578d; /* unused -- var(--lp-color-primary) */
    --lp-color-frame-dark-balken: #265086; /* darker */
}

/*** CTA ***/

.js-active .modal .modal-action-close{
    background-color: var(--lp-color-button)!important;
    border-color: var(--lp-color-button)!important;
}
